/*
 * 1.1 version.
 */

import java.awt.*;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;
import java.applet.Applet;

public class ChoiceDemo extends Applet 
                        implements ItemListener {
    Choice choice; //pop-up list of choices
    Label label;

    public void init() {
        choice = new Choice();
        choice.addItem("ichi");
        choice.addItem("ni");
        choice.addItem("san");
        choice.addItem("yon");

        choice.addItemListener(this);

        label = new Label();
        setLabelText(choice.getSelectedIndex(), 
                     choice.getSelectedItem());

        //Add components to the Applet. 
        add(choice);
        add(label);
    }

    void setLabelText(int num, String text) {
        label.setText("Item #" + num + " selected. "
                    + "Text = \"" + text + "\".");
    }
        
    public void itemStateChanged(ItemEvent e) {
        setLabelText(choice.getSelectedIndex(),
                     choice.getSelectedItem());
    }
}
